Subject: bug#7149: Emacs 23.2.1: exiting last `emacsclient -c' frame, and then rerun client, segfaults `emacs --daemon'

From: Chong Yidong <[email-masked]>
Date: Fri, 20 Apr 2012 18:14:49 +0800

Chen Levy <[email-masked]> writes:

> When starting emacs server with `emacs --daemon', and connecting to it
> with `emacsclient -c', then closing the last `emacsclient -c' frame
> and trying to open a new `emacsclient -c' frame, the `emacs --daemon'
> process receive SYSSEGV.
>
> 1. Run: emacs --daemon
> 2. Run: emacsclient -c
> 3. Close the frame, started on strep 2.
> 5. Run: emacsclient -c
>   It prints: Waiting for Emacs...
>   but no new frame is opened.

I'm sorry that no one got back to you on this, but I can't reproduce it
on either Emacs 23.4 or the latest Emacs repository.  I think this must
have been fixed in the meantime; please let us know if you still
experience the behavior.